---
title: Get
url: https://www.tines.com/docs/api/stories/get/
updated: 2026-01-15T14:21:36+00:00
description: Retrieve a single story.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/stories/get/)*

## Description

Retrieve a single story.

## Request

HTTP Method: **GET**

| Path Parameter | Description                      |
| -------------- | -------------------------------- |
| story_id       | The ID of the story to retrieve. |

| Query Parameter       | Description                                                                                                                                                                   |
| --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| story_mode            | **Optional** The mode (`TEST` or `LIVE`) of the story to retrieve.                                                                                                            |
| draft_id              | **Optional** The ID of the draft to retrieve. [About drafts](https://www.tines.com/docs/stories/change-control/#api-endpoints).                                               |
| include_live_activity | **Optional** When set to `true`, includes live activity metrics like `pending_action_runs_count`, `concurrent_runs_count`, and `tokens_used_percentage`. Defaults to `false`. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/stories/<<story_id>>?include_live_activity=true \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object representing the specified story.

### Field description

| Parameter                                     | Description                                                                                                                                                                            |
| --------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name                                          | The story name.                                                                                                                                                                        |
| user_id                                       | ID of story creator.                                                                                                                                                                   |
| description                                   | A user-defined description of the story.                                                                                                                                               |
| keep_events_for                               | Defined event retention period in seconds.                                                                                                                                             |
| disabled                                      | Boolean flag indicating whether story is disabled.                                                                                                                                     |
| priority                                      | Boolean flag indicating whether story is high priority story.                                                                                                                          |
| send_to_story_enabled                         | Boolean flag indicating if Send to Story is enabled.                                                                                                                                   |
| send_to_story_access_source                   | `STS`, `STS_AND_WORKBENCH`, `WORKBENCH` or `OFF` indicating where the send to story can be used.                                                                                       |
| send_to_story_access                          | Controls who is allowed to send to this story (`TEAM`,`GLOBAL`,`SPECIFIC_TEAMS`).                                                                                                      |
| send_to_story_referring_story_ids             | List of story ids that call this Send to Story enabled story. Only present when `send_to_story_enabled` is `true`.                                                                     |
| shared_team_slugs                             | List of teams' slugs that can send to this story when `send_to_story_access` is `SPECIFIC_TEAMS`, otherwise empty.                                                                     |
| entry_agent_id                                | The ID of the entry action for this story.                                                                                                                                             |
| exit_agents                                   | An Array of objects describing exit actions for this story.                                                                                                                            |
| send_to_story_skill_use_requires_confirmation | Boolean flag indicating whether workbench should ask for confirmation before running this story.                                                                                       |
| team_id                                       | ID of team to which the story belongs.                                                                                                                                                 |
| tags                                          | An array of tags used to classify the story.                                                                                                                                           |
| guid                                          | Unique identifier of the story.                                                                                                                                                        |
| slug                                          | An underscored representation of the story name.                                                                                                                                       |
| created_at                                    | ISO 8601 Timestamp representing date and time the story was created.                                                                                                                   |
| updated_at                                    | ISO 8601 Timestamp representing date and time the story row was last updated. It is best to use edited_at to track any modifications made to the story itself.                         |
| edited_at                                     | ISO 8601 Timestamp representing date and time the story was last logically updated.                                                                                                    |
| mode                                          | The mode of the story. `LIVE` or `TEST`                                                                                                                                                |
| monitor_failures                              | Boolean flag indicating if monitor failures is enabled on all actions in the story. This will be false when only some actions have monitoring enabled.                                 |
| actions_with_monitoring                       | List of action IDs with monitoring enabled.                                                                                                                                            |
| recipients                                    | List of monitoring recipients for the story.                                                                                                                                           |
| api_enabled                                   | Boolean flag indicating if Webhook API is enabled.                                                                                                                                     |
| api_entry_actions                             | Array of entry action ID for API enabled story.                                                                                                                                        |
| api_exit_actions                              | Array of exit action IDs for API enabled story.                                                                                                                                        |
| api_name                                      | Name of API for API enabled story.                                                                                                                                                     |
| id                                            | The story ID.                                                                                                                                                                          |
| folder_id                                     | ID of folder to which the story belongs.                                                                                                                                               |
| published                                     | Boolean flag indicating whether the story is published.                                                                                                                                |
| change_control_enabled                        | Boolean flag indicating if change control is enabled.                                                                                                                                  |
| locked                                        | Boolean flag indicating whether the story is locked to changes.                                                                                                                        |
| owners                                        | List of user IDs that are listed as owners on the story.                                                                                                                               |
| draft_id                                      | ID of the selected draft.                                                                                                                                                              |
| draft_name                                    | Name of the selected draft.                                                                                                                                                            |
| pending_action_runs_count                     | Total number of pending action runs across all actions in the story. Only included when `include_live_activity=true` is set.                                                           |
| concurrent_runs_count                         | Number of concurrent story runs currently executing. Only included when `include_live_activity=true` is set.                                                                           |
| tokens_used_percentage                        | Percentage of token limit used by the story. Only included when `include_live_activity=true` is set.                                                                                   |
| not_working_actions_count                     | Number of actions in a "Not working" state in the story, meaning the action has not emitted an event since its last error log. Only included when `include_live_activity=true` is set. |

### Sample response

```json
{
  "name": "Simple story",
  "user_id": 167,
  "description": "In the simple story we will create a fictional situation where a detection system is configured to send alerts to our Tines tenant",
  "keep_events_for": 604800,
  "disabled": false,
  "priority": false,
  "send_to_story_enabled": false,
  "send_to_story_access_source": "OFF",
  "send_to_story_access": null,
  "shared_team_slugs": [],
  "entry_agent_id": null,
  "exit_agents": [],
  "send_to_story_skill_use_requires_confirmation": true,
  "team_id": 1,
  "tags": ["Tag 1", "Tag 2"],
  "guid": "df1e838a18d20696120b41516497b017",
  "slug": "simple_story",
  "created_at": "2021-05-10T08:56:50Z",
  "updated_at": "2021-05-10T08:56:50Z",
  "edited_at": "2021-05-10T08:56:50Z",
  "mode": "LIVE",
  "monitor_failures": false,
  "actions_with_monitoring": [],
  "recipients": [
    {
      "address": "test@example.com"
    }
  ],
  "api_enabled": false,
  "api_entry_actions": [],
  "api_exit_actions": [],
  "api_name": null,
  "id": 7981,
  "folder_id": 1,
  "published": true,
  "change_control_enabled": false,
  "locked": false,
  "owners": [1],
  "draft_id": 1234,
  "draft_name": "Initial Draft",
  "pending_action_runs_count": 150,
  "concurrent_runs_count": 3,
  "tokens_used_percentage": 15.7
}
```
